### Function

# EDataServer NamedParameters new_strv

since: 3.8

#### Declaration [src]

    ENamedParameters*
    e_named_parameters_new_strv (
      const gchar* const* strv
    )

#### Description [src]

Creates a new instance of an `ENamedParameters`, with initial content being taken from `strv`. This should be freed with e_named_parameters_free(), when no longer needed. Names are compared case insensitively.

The structure is not thread safe, if the caller requires thread safety, then it should provide it on its own.

Available since: 3.8

#### Parameters

`strv`

  Type: `const gchar* const*`

  NULL-terminated string array to be used as a content of a newly created `ENamedParameters`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ENamedParameters`

Newly allocated `ENamedParameters`.

The caller of the function takes ownership of the data, and is responsible for freeing it.